OpenTTD Source: Data Fields

OpenTTD Source 14.0-RC3

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - o -

- o_dir : SaveLoadWindow
- obj : ObjectScopeResolver
- obj_len : SaveLoadParams
- Object() : Object
- object_classes : BuildObjectWindow
- object_margin : BuildObjectWindow
- object_scope : ObjectResolverObject
- ObjectClassIDSorter() : BuildObjectWindow
- ObjectResolverObject() : ObjectResolverObject
- ObjectScopeResolver() : ObjectScopeResolver
- ObjectToBool() : Squirrel
- ObjectToInteger() : Squirrel
- ObjectToString() : Squirrel
- occupied : RoadStop::Entry
- ocean_speed_frac : ShipVehicleInfo
- offs : TileHighlightData
- offs_start_map : SpriteAlignerWindow
- offset : Blitter_32bppOptimized::SpriteData , Blitter_8bppOptimized::SpriteData , BmpInfo , CompanyManagerFaceBitsInfo , LoggedChangeGRFMoved , OldChunks , StringParameters , UnmappedChoiceList
- offset_proc : NICallback , NIProperty
- offsets : LanguagePackHeader
- oil_refinery : ExtraPaletteValues
- oil_refinery_limit : GameCreationSettings
- ok_button : QueryString
- okay : PBSTileInfo
- old_act : TransportedCargoStat< Tstorage >
- old_coord : MutableSpriteCache
- old_economy : CompanyProperties
- old_font : Win32FontCache
- old_max : TransportedCargoStat< Tstorage >
- old_max_loan_unround : Economy
- old_max_loan_unround_fract : Economy
- old_orders : Vehicle
- old_refittable : ShipVehicleInfo
- old_tile : GetNewVehiclePosResult
- old_veh : ReplaceChainItem
- oldval : LoggedChangeSettingChanged
- Oldver() : Gamelog
- OnCleanPool() : CargoList< Tinst, Tcont >
- OnClick() : Button< T > , ButtonCommon , EndGameHighScoreBaseWindow , GenerateLandscapeWindow , Window
- OnClickClientAdmin() : NetworkClientListWindow
- OnClickClientChat() : NetworkClientListWindow
- OnClickCompanyAdmin() : NetworkClientListWindow
- OnClickCompanyChat() : NetworkClientListWindow
- OnClickCompanyJoin() : NetworkClientListWindow
- OnClickCompanyNew() : NetworkClientListWindow
- OnConnect() : ContentCallback , TCPConnecter
- OnConvert : OneOfManySettingDesc
- OnCTRLStateChange() : BuildRailToolbarWindow , BuildRoadToolbarWindow , DepotWindow , Window
- OnDisconnect() : ClientNetworkContentSocketHandler , ConsoleContentCallback , ContentCallback
- OnDownloadComplete() : ContentCallback
- OnDownloadProgress() : ContentCallback
- OnDragDrop() : Window
- OnDropdownClose() : GameSettingsWindow , GSConfigWindow , NetworkClientListWindow , NewGRFParametersWindow , ScriptSettingsWindow , Window
- OnDropdownSelect() : Window
- OnEditboxChanged() : Window
- OneTileCost() : CYapfCostRailT< Types > , CYapfCostRoadT< Types >
- OnFailure() : ClientNetworkContentSocketHandler , HTTPCallback , HTTPThreadSafeCallback , NetworkContentConnecter , NetworkCoordinatorConnecter , NetworkDirectConnecter , NetworkReuseStunConnecter , NetworkStunConnecter , NetworkSurveyHandler , NetworkTurnConnecter , TCPClientConnecter , TCPConnecter , TCPQueryConnecter
- OnFocus() : IConsoleWindow , Window
- OnFocusLost() : DropdownWindow , IConsoleWindow , OskWindow , Window
- OnGameTick() : BaseGraphWindow , CompanyStationsWindow , PaymentRatesGraphWindow , PerformanceLeagueWindow , PerformanceRatingDetailWindow , VehicleGroupWindow , VehicleListWindow , Window
- OnHotkey() : BuildObjectWindow , BuildRailStationWindow , BuildRailToolbarWindow , BuildRoadStationWindow , BuildRoadToolbarWindow , BuildVehicleWindow , IndustryDirectoryWindow , MainToolbarWindow , MainWindow , OrdersWindow , ScenarioEditorToolbarWindow , SignListWindow , TownDirectoryWindow , VehicleViewWindow , Window
- OnHover() : Window
- OnHyperlinkClick() : TextfileWindow
- OnInit() : BaseVehicleListWindow , BuildIndustryWindow , BuildObjectWindow , BuildSignalWindow , BuildVehicleWindow , CheatWindow , DepotWindow , GameSettingsWindow , IConsoleWindow , IndustryCargoesWindow , IndustryDirectoryWindow , IndustryViewWindow , LandInfoWindow , NetworkClientListWindow , NetworkContentListWindow , NetworkGameWindow , PaymentRatesGraphWindow , RefitWindow , ScriptDebugWindow , SelectCompanyManagerFaceWindow , SelectGameWindow , SignListWindow , SmallMapWindow , SubsidyListWindow , TerraformToolbarWindow , TownAuthorityWindow , Window
- OnInitialPosition() : Window
- OnInvalidateData() : AIConfigWindow , BaseGraphWindow , BuildAirToolbarWindow , BuildDocksToolbarWindow , BuildIndustryWindow , BuildObjectWindow , BuildRailStationWindow , BuildRailToolbarWindow , BuildRailWaypointWindow , BuildRoadStationWindow , BuildRoadToolbarWindow , BuildSignalWindow , BuildVehicleWindow , CompanyInfrastructureWindow , CompanyStationsWindow , DepotWindow , EnginePreviewWindow , ErrmsgWindow , ExtraViewportWindow , FoundTownWindow , GameOptionsWindow , GameSettingsWindow , GenerateLandscapeWindow , GoalListWindow , GraphLegendWindow , GSConfigWindow , IndustryCargoesWindow , IndustryDirectoryWindow , IndustryViewWindow , LandInfoWindow , LinkGraphLegendWindow , MainToolbarWindow , MainWindow , MessageHistoryWindow , MusicTrackSelectionWindow , MusicWindow , NetworkChatWindow , NetworkClientListWindow , NetworkContentListWindow , NetworkGameWindow , NewGRFInspectWindow , NewGRFParametersWindow , NewGRFWindow , NewsWindow , OrdersWindow , OskWindow , PaymentRatesGraphWindow , PerformanceLeagueWindow , PerformanceRatingDetailWindow , RefitWindow , ReplaceVehicleWindow , SaveLoadWindow , ScenarioEditorToolbarWindow , ScriptDebugWindow , ScriptLeagueWindow , ScriptListWindow , ScriptSettingsWindow , ScriptTextfileWindow , SelectCompanyLiveryWindow , SelectGameWindow , SelectStationWindow< T > , SignListWindow , SmallMapWindow , SpriteAlignerWindow , StationViewWindow , StatusBarWindow , StoryBookWindow , SubsidyListWindow , TimetableWindow , TownAuthorityWindow , TownDirectoryWindow , TownViewWindow , TransparenciesWindow , VehicleDetailsWindow , VehicleGroupWindow , VehicleListWindow , VehicleViewWindow , WaypointWindow , Window
- OnKeyPress() : Window
- OnMouseDrag() : Window
- OnMouseLoop() : DropdownWindow , ErrmsgWindow , GameOptionsWindow , IConsoleWindow , TooltipsWindow , Window
- OnMouseOver() : Window
- OnMouseWheel() : Window
- OnNewCalendarDay() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- OnNewEconomyDay() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- OnNewGRFsScanned() : AfterNewGRFScan , NewGRFScanCallback , NewGRFWindow
- OnPageElementClick() : StoryBookWindow
- OnPaint() : BuildAirportWindow , BuildDocksStationWindow , BuildRailStationWindow , BuildRailWaypointWindow , BuildRoadStationWindow , BuildVehicleWindow , CompanyFinancesWindow , CompanyStationsWindow , CompanyWindow , CreateScenarioWindow , DepotWindow , EndGameWindow , GameSettingsWindow , GoalListWindow , GSConfigWindow , HighScoreWindow , IConsoleWindow , IndustryDirectoryWindow , IndustryViewWindow , MainToolbarWindow , MainWindow , MessageHistoryWindow , NetworkContentListWindow , NetworkGameWindow , NewGRFParametersWindow , OrdersWindow , PerformanceLeagueWindow , RefitWindow , ReplaceVehicleWindow , SaveLoadWindow , ScenarioEditorLandscapeGenerationWindow , ScenarioEditorToolbarWindow , ScreenshotWindow , ScriptDebugWindow , ScriptLeagueWindow , ScriptSettingsWindow , SelectCompanyLiveryWindow , SelectCompanyManagerFaceWindow , SignListWindow , SmallMapWindow , StationViewWindow , StoryBookWindow , TimetableWindow , TownAuthorityWindow , TownDirectoryWindow , TownViewWindow , TransparenciesWindow , VehicleDetailsWindow , VehicleGroupWindow , VehicleListWindow , VehicleViewWindow , WaypointWindow , Window
- OnPlaceDrag() : Window
- OnPlaceMouseUp() : Window
- OnPlaceObject() : Window
- OnPlaceObjectAbort() : BuildAirToolbarWindow , BuildDocksToolbarWindow , BuildIndustryWindow , BuildObjectWindow , BuildRailToolbarWindow , BuildRoadToolbarWindow , BuildTreesWindow , CompanyWindow , DepotWindow , FoundTownWindow , MainToolbarWindow , OrdersWindow , ScenarioEditorLandscapeGenerationWindow , ScenarioEditorToolbarWindow , StoryBookWindow , TerraformToolbarWindow , VehicleGroupWindow , Window
- OnPlacePresize() : Window
- OnQueryTextFinished() : Window
- OnRailRoadTypeChange() : ReplaceVehicleWindow
- OnRealtimeTick() : BuildAirportWindow , BuildDocksStationWindow , BuildRailStationWindow , BuildRailToolbarWindow , BuildRailWaypointWindow , BuildRoadStationWindow , FramerateWindow , FrametimeGraphWindow , NewsWindow , SelectStationWindow< T > , Window
- OnReceiveContentInfo() : ContentCallback
- OnReceiveData() : ClientNetworkContentSocketHandler , HTTPCallback , HTTPThreadSafeCallback , NetworkSurveyHandler
- OnResize() : BuildBridgeWindow , BuildIndustryWindow , BuildObjectWindow , BuildRailStationWindow , BuildRoadStationWindow , BuildVehicleWindow , CompanyStationsWindow , DepotWindow , ExtraViewportWindow , FramerateWindow , GameOptionsWindow , GameSettingsWindow , GoalListWindow , GSConfigWindow , IndustryCargoesWindow , IndustryDirectoryWindow , IndustryViewWindow , MainWindow , MessageHistoryWindow , NetworkClientListWindow , NetworkContentListWindow , NetworkGameWindow , NewGRFInspectWindow , NewGRFParametersWindow , NewGRFWindow , NewsWindow , OrdersWindow , PaymentRatesGraphWindow , RefitWindow , ReplaceVehicleWindow , SaveLoadWindow , SavePresetWindow , ScriptDebugWindow , ScriptListWindow , ScriptSettingsWindow , SelectCompanyLiveryWindow , SelectGameWindow , SelectStationWindow< T > , SignListWindow , SpriteAlignerWindow , StationViewWindow , StoryBookWindow , SubsidyListWindow , TextfileWindow , TimetableWindow , TownDirectoryWindow , TownViewWindow , VehicleDetailsWindow , VehicleGroupWindow , VehicleListWindow , VehicleViewWindow , WaypointWindow , Window
- OnResolved() : TCPConnecter
- OnRightClick() : Window
- OnScroll() : Window
- OnTimeout() : BuildIndustryWindow , CheatWindow , CreateScenarioWindow , CustomCurrencyWindow , DepotWindow , GameSettingsWindow , GenerateLandscapeWindow , IndustryViewWindow , MainToolbarWindow , NetworkStartServerWindow , SaveLoadWindow , ScenarioEditorLandscapeGenerationWindow , ScenarioEditorToolbarWindow , StoryBookWindow , Window
- OnTooltip() : Window
- OnVehicleSelect() : DepotWindow , OrdersWindow , Window
- open : NewsSettings
- OpenCount() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- OpenExternalSearch() : NetworkContentListWindow
- OpenFile() : IniFile , IniLoadFile , SettingsIniFile
- OpenGLBackend() : OpenGLBackend
- OpenGLSprite() : OpenGLSprite
- OpenLibrary() : LibraryLoader
- openlist_hash : AyStar
- openlist_queue : AyStar
- OpenListAdd() : AyStar
- OpenListIsInList() : AyStar
- OpenListPop() : AyStar
- openttd_id : LanguageMap::Mapping
- openttd_info : InternalSocialIntegrationPlugin
- operator const T &() : AdaptT< T >
- operator const Tcls *() : CCountedPtr< Tcls_ >
- operator delete() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , ZeroedMemoryAllocator
- operator delete[]() : ZeroedMemoryAllocator
- operator new() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , ZeroedMemoryAllocator
- operator new[]() : Window , ZeroedMemoryAllocator
- operator T&() : AdaptT< T >
- operator Tcls *() : CCountedPtr< Tcls_ >
- operator TileIndex() : Tile , TileIterator
- operator uint() : Tile
- operator!=() : CargoSummaryItem , NetworkAddress , RefitOption , TileIterator
- operator&() : CCountedPtr< Tcls_ >
- operator()() : CapacityAnnotation::Comparator , CargoDelivery , CargoLoad , CargoRemoval< Tsource > , CargoReservation , CargoReturn , CargoShift , CargoTransfer , DistanceAnnotation::Comparator , FinalizeRefitAction , IsEmptyAction , Layouter::LineCacheCompare , PrepareRefitAction , ReturnCargoAction , StationCargoReroute , VehicleCargoReroute
- operator*() : MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare > , TileIterator
- operator*=() : OverflowSafeInt< T >
- operator++() : AirportTileIterator , AirportTileTableIterator , BitmapTileIterator , DiagonalTileIterator , MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare > , OrthogonalTileIterator , TileIterator
- operator+=() : OverflowSafeInt< T > , StringBuilder
- operator--() : MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare >
- operator-=() : OverflowSafeInt< T >
- operator->() : CCountedPtr< Tcls_ > , MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare >
- operator<() : FiosItem , LinkGraph::BaseEdge , LinkRefresher::Hop , NetworkAddress
- operator=() : AdaptT< T > , CCountedPtr< Tcls_ > , MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare > , SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size > , StringBuilder , StringParameterBackup
- operator==() : CargoSummaryItem , NetworkAddress , RefitOption , TileIterator
- operator[]() : FixedSizeArray< T, C > , LinkGraph , LinkGraphJob::NodeAnnotation , LinkGraphJob , SmallArray< T, B, N > , StringBuilder , TileMatrix< T, N >
- opt : GetOptData
- options : GetOptData
- order : GameSettings , Listing
- Order() : Order
- order : ParentSpriteToDraw , RefitWindow
- order_arrow_width : BaseVehicleListWindow
- order_over : OrdersWindow
- order_review_system : GUISettings
- OrderBackup() : OrderBackup
- OrderClick_Delete() : OrdersWindow
- OrderClick_FullLoad() : OrdersWindow
- OrderClick_Goto() : OrdersWindow
- OrderClick_NearestDepot() : OrdersWindow
- OrderClick_Nonstop() : OrdersWindow
- OrderClick_Refit() : OrdersWindow
- OrderClick_Service() : OrdersWindow
- OrderClick_Skip() : OrdersWindow
- OrderClick_StopSharing() : OrdersWindow
- OrderClick_Unload() : OrdersWindow
- OrderGetSel() : OrdersWindow
- OrderList() : OrderList
- OrderPlaceObjectState : OrdersWindow
- orders : OrderBackup , Vehicle
- Orders() : Vehicle
- ordinal_width : PerformanceLeagueWindow
- orientation : RailStationGUISettings
- orig_list : NewGRFWindow
- orig_res : VideoDriver_Cocoa
- orig_str : OskWindow
- origin : Path
- ORIGINAL_BASE_YEAR : TimerGameConst< T >
- ORIGINAL_END_YEAR : TimerGameConst< T >
- original_image_index : Engine
- ORIGINAL_MAX_YEAR : TimerGameConst< T >
- original_md5sum : GRFConfig
- OrthogonalTileArea() : OrthogonalTileArea
- OrthogonalTileIterator() : OrthogonalTileIterator
- os2_bmp : BmpInfo
- os_handle : FontCacheSubSetting
- osk_activation : GUISettings
- other_accepted : CargoesField
- other_company_name : CompanyNewsInformation
- other_produced : CargoesField
- outersize : TileHighlightData
- outgoing_queue : ServerNetworkGameSocketHandler
- output_buffer : OutputStore
- output_stream : FileWriter
- OutputBufferVector : OutputStore
- overdrawn_ops : Squirrel
- Overflowed() : SmallSet< Tdir, items >
- override : GRFFileProps
- override_end : MusicSongInfo
- override_start : MusicSongInfo
- OverrideManagerBase() : OverrideManagerBase
- overtaking : RoadVehicle
- overtaking_ctr : RoadVehicle
- own_name : LanguagePackHeader
- owner : BaseStation , CargoPayment , Group , Industry , TileDesc , Vehicle , Window
- owner_type : TileDesc
- OwnerDeityFilter() : SignList
- OwnerVisibilityFilter() : SignList